Subject: Re: Apparent kernel bug with GDB on ppc405

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 26 Oct 2007 11:51:22 +1000

On Wed, 2007-10-24 at 18:41 -0400, Daniel Jacobowitz wrote:
> On Wed, Oct 24, 2007 at 05:32:50PM -0500, Matt Mackall wrote:
> > Not completely implausible, but a) why isn't this seen on basically
> > every machine with software TLB? b) why does -local- GDB, which is
> > presumably doing much less work than gdbserver + network stack, not fail?
> 
> You said it yourself.  Local gdb does more work -> blows through more
> TLB entries.
> 
> I can't answer you about the other half, but I'm pretty sure TLB
> invalidation is already supposed to be happening... somewhere.

Yes. do_wp_page() -> ptep_clear_flush() -> flush_tlb_page()

Ben.